Name:           kmozillahelper
License:        MIT
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Mozilla KDE Integration
Version:        0.6.2
Release:        %mkrel 3
Url:            http://www.opensuse.org/
Source:         kmozillahelper-%{version}.tar.xz
Patch0:         kmozillahelper-use-firefox.patch
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
Provides:       mozilla-xulrunner191-kde4 = %version-release
Provides:       mozilla-xulrunner-kde4 = %version-release

%description
Package providing integration of Mozilla applications with KDE.

%prep
%setup -qn kmozillahelper
%patch0 -p0

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix/lib/mozilla/kmozillahelper
%_kde_appsdir/kmozillahelper/kmozillahelper.notifyrc

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.6.2-2pclos2010
- rebuild for 4.5.1

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.6.2-1pclos2010
- 0.6.2

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.6-2pclos2010
- apply arch patch

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 0.6-1pclos2010
- import into pclos

